#property copyright "Jw"
#property link      "http://www.daytrade.ru"

#property indicator_chart_window
#property indicator_buffers 7
#property indicator_color1 Red
#property indicator_color2 Lime
#property indicator_color3 Lime
#property indicator_color4 Lime
#property indicator_color5 Lime
#property indicator_color6 Lime
#property indicator_color7 Lime
//---- input parameters
extern int AxelComment=0;
//---- buffers
double PBuffer[];
double S1Buffer[];
double R1Buffer[];
double S2Buffer[];
double R2Buffer[];
double S3Buffer[];
double R3Buffer[];
int fontsize=10;
double P,S1,R1,S2,R2,S3,R3;
double LastHigh,LastLow,x;
string Pivot="Pivot Point",Sup1="S 1", Res1="R 1";
string Sup2="S 2", Res2="R 2", Sup3="S 3", Res3="R 3";


//+------------------------------------------------------------------+
//| Custor indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- TODO: add your code here
   ObjectDelete("Pivot");
   ObjectDelete("Sup1");
   ObjectDelete("Res1");
   ObjectDelete("Sup2");
   ObjectDelete("Res2");
   ObjectDelete("Sup3");
   ObjectDelete("Res3");

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
   string short_name;


//---- indicator line
   SetIndexStyle(0,DRAW_LINE,0,1,Red);
   SetIndexStyle(1,DRAW_LINE,0,1,Lime);
   SetIndexStyle(2,DRAW_LINE,0,1,Lime);
   SetIndexStyle(3,DRAW_LINE,0,1,Lime);
   SetIndexStyle(4,DRAW_LINE,0,1,Lime);
   SetIndexStyle(5,DRAW_LINE,0,1,Lime);
   SetIndexStyle(6,DRAW_LINE,0,1,Lime);
   SetIndexBuffer(0,PBuffer);
   SetIndexBuffer(1,S1Buffer);
   SetIndexBuffer(2,R1Buffer);
   SetIndexBuffer(3,S2Buffer);
   SetIndexBuffer(4,R2Buffer);
   SetIndexBuffer(5,S3Buffer);
   SetIndexBuffer(6,R3Buffer);


//---- name for DataWindow and indicator subwindow label
   short_name="Pivot Point";
   IndicatorShortName(short_name);
   SetIndexLabel(0,short_name);

//----
   SetIndexDrawBegin(0,1);
//----


//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()

  {
   int    counted_bars=IndicatorCounted();

   int limit, i;
   string v;
//---- indicator calculation

if (counted_bars==0)
{
   x=Period();
   if (x>240) return(-1);
   ObjectCreate("Pivot", OBJ_TEXT, 0, 0,0);
   ObjectSetText("Pivot", "                 Pivot Point",fontsize,"Arial",Red);
   ObjectCreate("Sup1", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Sup1", "      S 1",fontsize,"Arial",Red);
   ObjectCreate("Res1", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Res1", "      R 1",fontsize,"Arial",Red);
   ObjectCreate("Sup2", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Sup2", "      S 2",fontsize,"Arial",Red);
   ObjectCreate("Res2", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Res2", "      R 2",fontsize,"Arial",Red);
   ObjectCreate("Sup3", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Sup3", "      S 3",fontsize,"Arial",Red);
   ObjectCreate("Res3", OBJ_TEXT, 0, 0, 0);
   ObjectSetText("Res3", "      R 3",fontsize,"Arial",Red);
}




   if(counted_bars<0) return(-1);
//---- last counted bar will be recounted
//   if(counted_bars>0) counted_bars--;
   limit=(Bars-counted_bars)-1;



for (i=limit; i>=0;i--)
{
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 2. 19', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3148;
R1 = 1.3175;
S1 = 1.3121;
R2 = 1.3217;
S2 = 1.3100;
R3 = 1.3244;
S3 = 1.3085;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6734;
R1 = 0.6742;
S1 = 0.6707;
R2 = 0.6742;
S2 = 0.6697;
R3 = 0.6753;
S3 = 0.6497;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=157.09;
R1 = 157.40;
S1 = 156.64;
R2 = 157.66;
S2 = 156.20;
R3 = 158.00;
S3 = 156.00;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6220;
R1 = 1.6254;
S1 = 1.6220;
R2 = 1.6272;
S2 = 1.6204;
R3 = 1.6288;
S3 = 1.6004;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9527;
R1 = 1.9570;
S1 = 1.9502;
R2 = 1.9596;
S2 = 1.9470;
R3 = 1.9625;
S3 = 1.9425;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=119.47;
R1 = 119.60;
S1 = 119.15;
R2 = 119.85;
S2 = 118.85;
R3 = 120.13;
S3 = 118.32;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2333;
R1 = 1.2359;
S1 = 1.2322;
R2 = 1.2385;
S2 = 1.2300;
R3 = 1.2400;
S3 = 1.2275;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7877;
R1 = 0.7750;
S1 = 0.7710;
R2 = 0.7777;
S2 = 0.7698;
R3 = 0.7784;
S3 = 0.7650;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 2. 20', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3167;
R1 = 1.3190;
S1 = 1.3148;
R2 = 1.3245;
S2 = 1.3118;
R3 = 1.3297;
S3 = 1.3090;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6743;
R1 = 0.6761;
S1 = 0.6728;
R2 = 0.6788;
S2 = 0.6717;
R3 = 0.6795;
S3 = 0.6703;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=157.72;
R1 = 158.38;
S1 = 157.78;
R2 = 158.76;
S2 = 157.28;
R3 = 159.00;
S3 = 156.60;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6237;
R1 = 1.6258;
S1 = 1.6211;
R2 = 1.6289;
S2 = 1.6198;
R3 = 1.6298;
S3 = 1.6184;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9531;
R1 = 1.9549;
S1 = 1.9502;
R2 = 1.9591;
S2 = 1.9457;
R3 = 1.9641;
S3 = 1.9405;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=119.81;
R1 = 120.00;
S1 = 119.55;
R2 = 120.19;
S2 = 119.17;
R3 = 120.62;
S3 = 118.83;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2331;
R1 = 1.2352;
S1 = 1.2311;
R2 = 1.2376;
S2 = 1.2297;
R3 = 1.2402;
S3 = 1.2269;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7866;
R1 = 0.7872;
S1 = 0.7839;
R2 = 0.7886;
S2 = 0.7827;
R3 = 0.7906;
S3 = 0.7806;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 2. 22', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3107;
R1 = 1.3144;
S1 = 1.3094;
R2 = 1.3177;
S2 = 1.3074;
R3 = 1.3245;
S3 = 1.3024;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6723;
R1 = 0.6728;
S1 = 0.6717;
R2 = 0.6739;
S2 = 0.6703;
R3 = 0.6761;
S3 = 0.6679;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=158.83;
R1 = 159.13;
S1 = 158.67;
R2 = 159.28;
S2 = 158.44;
R3 = 159.50;
S3 = 157.78;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6273;
R1 = 1.6289;
S1 = 1.6262;
R2 = 1.6298;
S2 = 1.6235;
R3 = 1.6312;
S3 = 1.6211;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9503;
R1 = 1.9577;
S1 = 1.9479;
R2 = 1.9591;
S2 = 1.9457;
R3 = 1.9641;
S3 = 1.9405;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=121.12;
R1 = 121.37;
S1 = 120.84;
R2 = 121.75;
S2 = 120.58;
R3 = 122.10;
S3 = 120.20;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2415;
R1 = 1.2443;
S1 = 1.2402;
R2 = 1.2460;
S2 = 1.2376;
R3 = 1.2500;
S3 = 1.2352;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7900;
R1 = 0.7920;
S1 = 0.7886;
R2 = 0.7937;
S2 = 0.7872;
R3 = 0.7950;
S3 = 0.7839;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 2. 26', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3183;
R1 = 1.3199;
S1 = 1.3168;
R2 = 1.3245;
S2 = 1.3144;
R3 = 1.3262;
S3 = 1.3117;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6714;
R1 = 0.6717;
S1 = 0.6691;
R2 = 0.6728;
S2 = 0.6679;
R3 = 0.6739;
S3 = 0.6668;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=159.39;
R1 = 159.63;
S1 = 159.28;
R2 = 159.80;
S2 = 159.13;
R3 = 160.00;
S3 = 158.67;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6229;
R1 = 1.6235;
S1 = 1.6212;
R2 = 1.6252;
S2 = 1.6198;
R3 = 1.6289;
S3 = 1.6168;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9634;
R1 = 1.9676;
S1 = 1.9619;
R2 = 1.9734;
S2 = 1.9591;
R3 = 1.9748;
S3 = 1.9577;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=120.94;
R1 = 121.20;
S1 = 120.77;
R2 = 121.75;
S2 = 120.58;
R3 = 122.10;
S3 = 120.20;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2313;
R1 = 1.2330;
S1 = 1.2295;
R2 = 1.2352;
S2 = 1.2273;
R3 = 1.2376;
S3 = 1.2242;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7923;
R1 = 0.7926;
S1 = 0.7912;
R2 = 0.7937;
S2 = 0.7886;
R3 = 0.7950;
S3 = 0.7875;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 2. 27', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3179;
R1 = 1.3205;
S1 = 1.3161;
R2 = 1.3245;
S2 = 1.3144;
R3 = 1.3262;
S3 = 1.3117;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6717;
R1 = 0.6719;
S1 = 0.6691;
R2 = 0.6728;
S2 = 0.6679;
R3 = 0.6739;
S3 = 0.6668;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=158.49;
R1 = 158.62;
S1 = 158.08;
R2 = 159.13;
S2 = 157.30;
R3 = 159.28;
S3 = 156.65;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6200;
R1 = 1.6212;
S1 = 1.6166;
R2 = 1.6235;
S2 = 1.6146;
R3 = 1.6252;
S3 = 1.6120;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9618;
R1 = 1.9676;
S1 = 1.9612;
R2 = 1.9734;
S2 = 1.9591;
R3 = 1.9748;
S3 = 1.9577;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=120.31;
R1 = 120.35;
S1 = 120.00;
R2 = 120.58;
S2 = 119.71;
R3 = 120.77;
S3 = 119.20;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2294;
R1 = 1.2330;
S1 = 1.2273;
R2 = 1.2352;
S2 = 1.2242;
R3 = 1.2376;
S3 = 1.2200;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7932;
R1 = 0.7937;
S1 = 0.7923;
R2 = 0.7950;
S2 = 0.7912;
R3 = 0.7969;
S3 = 0.7886;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 2. 23', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3123;
R1 = 1.3144;
S1 = 1.3094;
R2 = 1.3177;
S2 = 1.3074;
R3 = 1.3245;
S3 = 1.3024;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6704;
R1 = 0.6728;
S1 = 0.6700;
R2 = 0.6739;
S2 = 0.6679;
R3 = 0.6761;
S3 = 0.6668;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=159.42;
R1 = 159.63;
S1 = 159.28;
R2 = 159.80;
S2 = 159.13;
R3 = 160.00;
S3 = 158.67;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6263;
R1 = 1.6289;
S1 = 1.6252;
R2 = 1.6298;
S2 = 1.6235;
R3 = 1.6312;
S3 = 1.6211;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9574;
R1 = 1.9577;
S1 = 1.9479;
R2 = 1.9591;
S2 = 1.9457;
R3 = 1.9641;
S3 = 1.9405;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=121.45;
R1 = 121.75;
S1 = 121.20;
R2 = 122.10;
S2 = 120.84;
R3 = 122.20;
S3 = 120.58;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2393;
R1 = 1.2443;
S1 = 1.2376;
R2 = 1.2460;
S2 = 1.2352;
R3 = 1.2500;
S3 = 1.2311;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7893;
R1 = 0.7915;
S1 = 0.7875;
R2 = 0.7937;
S2 = 0.7872;
R3 = 0.7950;
S3 = 0.7839;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 2. 28', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3219;
R1 = 1.3245;
S1 = 1.3190;
R2 = 1.3260;
S2 = 1.3161;
R3 = 1.3297;
S3 = 1.3144;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6744;
R1 = 0.6756;
S1 = 0.6728;
R2 = 0.6768;
S2 = 0.6717;
R3 = 0.6787;
S3 = 0.6691;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=156.42;
R1 = 156.89;
S1 = 155.90;
R2 = 157.30;
S2 = 155.73;
R3 = 158.08;
S3 = 155.27;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6121;
R1 = 1.6152;
S1 = 1.6107;
R2 = 1.6166;
S2 = 1.6095;
R3 = 1.6212;
S3 = 1.6086;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9596;
R1 = 1.9591;
S1 = 1.9539;
R2 = 1.9612;
S2 = 1.9514;
R3 = 1.9676;
S3 = 1.9463;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=118.36;
R1 = 118.73;
S1 = 117.93;
R2 = 118.98;
S2 = 117.50;
R3 = 119.20;
S3 = 117.25;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2198;
R1 = 1.2242;
S1 = 1.2173;
R2 = 1.2273;
S2 = 1.2145;
R3 = 1.2330;
S3 = 1.2112;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7871;
R1 = 0.7886;
S1 = 0.7857;
R2 = 0.7912;
S2 = 0.7839;
R3 = 0.7923;
S3 = 0.7820;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 1', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3221;
R1 = 1.3245;
S1 = 1.3190;
R2 = 1.3260;
S2 = 1.3161;
R3 = 1.3297;
S3 = 1.3144;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6744;
R1 = 0.6758;
S1 = 0.6728;
R2 = 0.6768;
S2 = 0.6717;
R3 = 0.6787;
S3 = 0.6691;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=156.57;
R1 = 156.89;
S1 = 155.90;
R2 = 157.30;
S2 = 155.73;
R3 = 158.08;
S3 = 155.27;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6124;
R1 = 1.6152;
S1 = 1.6107;
R2 = 1.6166;
S2 = 1.6095;
R3 = 1.6212;
S3 = 1.6086;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9606;
R1 = 1.9612;
S1 = 1.9539;
R2 = 1.9650;
S2 = 1.9514;
R3 = 1.9676;
S3 = 1.9463;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=118.42;
R1 = 118.87;
S1 = 117.93;
R2 = 118.98;
S2 = 117.50;
R3 = 119.20;
S3 = 117.25;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2195;
R1 = 1.2242;
S1 = 1.2173;
R2 = 1.2273;
S2 = 1.2145;
R3 = 1.2330;
S3 = 1.2112;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7863;
R1 = 0.7872;
S1 = 0.7850;
R2 = 0.7886;
S2 = 0.7839;
R3 = 0.7912;
S3 = 0.7820;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 2', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3177;
R1 = 1.3200;
S1 = 1.3161;
R2 = 1.3245;
S2 = 1.3144;
R3 = 1.3260;
S3 = 1.3117;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6736;
R1 = 0.6758;
S1 = 0.6720;
R2 = 0.6768;
S2 = 0.6711;
R3 = 0.6787;
S3 = 0.6691;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=154.95;
R1 = 155.27;
S1 = 154.55;
R2 = 155.73;
S2 = 153.66;
R3 = 155.90;
S3 = 153.12;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6118;
R1 = 1.6152;
S1 = 1.6103;
R2 = 1.6166;
S2 = 1.6095;
R3 = 1.6212;
S3 = 1.6086;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9562;
R1 = 1.9591;
S1 = 1.9536;
R2 = 1.9612;
S2 = 1.9514;
R3 = 1.9650;
S3 = 1.9463;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=117.64;
R1 = 117.98;
S1 = 117.50;
R2 = 118.51;
S2 = 117.25;
R3 = 118.87;
S3 = 116.96;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2235;
R1 = 1.2249;
S1 = 1.2218;
R2 = 1.2273;
S2 = 1.2173;
R3 = 1.2330;
S3 = 1.2145;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7846;
R1 = 0.7862;
S1 = 0.7820;
R2 = 0.7872;
S2 = 0.7806;
R3 = 0.7886;
S3 = 0.7787;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 5', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3159;
R1 = 1.3161;
S1 = 1.3117;
R2 = 1.3200;
S2 = 1.3102;
R3 = 1.3245;
S3 = 1.3081;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6821;
R1 = 0.6758;
S1 = 0.6720;
R2 = 0.6768;
S2 = 0.6711;
R3 = 0.6787;
S3 = 0.6691;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=152.39;
R1 = 152.45;
S1 = 151.32;
R2 = 153.17;
S2 = 151.13;
R3 = 153.66;
S3 = 150.37;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.5979;
R1 = 1.6028;
S1 = 1.5932;
R2 = 1.6062;
S2 = 1.5901;
R3 = 1.6086;
S3 = 1.5865;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9306;
R1 = 1.9265;
S1 = 1.9221;
R2 = 1.9320;
S2 = 1.9177;
R3 = 1.9404;
S3 = 1.9137;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=115.78;
R1 = 116.56;
S1 = 115.18;
R2 = 116.78;
S2 = 114.90;
R3 = 116.96;
S3 = 114.43;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2148;
R1 = 1.2147;
S1 = 1.2112;
R2 = 1.2173;
S2 = 1.2099;
R3 = 1.2218;
S3 = 1.2025;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7777;
R1 = 0.7787;
S1 = 0.7746;
R2 = 0.7806;
S2 = 0.7711;
R3 = 0.7820;
S3 = 0.7699;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 6', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3103;
R1 = 1.3161;
S1 = 1.3102;
R2 = 1.3200;
S2 = 1.3081;
R3 = 1.3245;
S3 = 1.3072;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6810;
R1 = 0.6839;
S1 = 0.6795;
R2 = 0.6850;
S2 = 0.6782;
R3 = 0.6861;
S3 = 0.6768;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=152.05;
R1 = 152.86;
S1 = 151.13;
R2 = 153.17;
S2 = 150.74;
R3 = 153.66;
S3 = 150.37;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6011;
R1 = 1.6043;
S1 = 1.5932;
R2 = 1.6062;
S2 = 1.5901;
R3 = 1.6086;
S3 = 1.5865;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9250;
R1 = 1.9265;
S1 = 1.9221;
R2 = 1.9320;
S2 = 1.9177;
R3 = 1.9404;
S3 = 1.9137;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=116.06;
R1 = 116.56;
S1 = 115.98;
R2 = 116.78;
S2 = 115.16;
R3 = 116.96;
S3 = 114.90;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2221;
R1 = 1.2245;
S1 = 1.2194;
R2 = 1.2262;
S2 = 1.2112;
R3 = 1.2288;
S3 = 1.2099;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7725;
R1 = 0.7787;
S1 = 0.7711;
R2 = 0.7806;
S2 = 0.7699;
R3 = 0.7820;
S3 = 0.7684;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 7', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3125;
R1 = 1.3161;
S1 = 1.3102;
R2 = 1.3200;
S2 = 1.3081;
R3 = 1.3245;
S3 = 1.3072;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6798;
R1 = 0.6818;
S1 = 0.6782;
R2 = 0.6839;
S2 = 0.6768;
R3 = 0.6850;
S3 = 0.6750;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=152.92;
R1 = 153.17;
S1 = 152.41;
R2 = 153.66;
S2 = 151.98;
R3 = 154.10;
S3 = 151.13;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6063;
R1 = 1.6086;
S1 = 1.6046;
R2 = 1.6095;
S2 = 1.6028;
R3 = 1.6125;
S3 = 1.5966;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9305;
R1 = 1.9320;
S1 = 1.9265;
R2 = 1.9358;
S2 = 1.9221;
R3 = 1.9404;
S3 = 1.9177;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=116.52;
R1 = 116.93;
S1 = 116.21;
R2 = 117.50;
S2 = 115.98;
R3 = 117.83;
S3 = 115.16;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2238;
R1 = 1.2262;
S1 = 1.2221;
R2 = 1.2288;
S2 = 1.2194;
R3 = 1.2309;
S3 = 1.2112;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7760;
R1 = 0.7787;
S1 = 0.7737;
R2 = 0.7806;
S2 = 0.7711;
R3 = 0.7820;
S3 = 0.7699;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 8', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3175;
R1 = 1.3187;
S1 = 1.3132;
R2 = 1.3213;
S2 = 1.3102;
R3 = 1.3245;
S3 = 1.3081;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6822;
R1 = 0.6829;
S1 = 0.6802;
R2 = 0.6839;
S2 = 0.6794;
R3 = 0.6850;
S3 = 0.6782;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=153.29;
R1 = 154.10;
S1 = 152.44;
R2 = 154.55;
S2 = 151.98;
R3 = 155.27;
S3 = 151.13;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6055;
R1 = 1.6086;
S1 = 1.6046;
R2 = 1.6095;
S2 = 1.6024;
R3 = 1.6125;
S3 = 1.5966;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9317;
R1 = 1.9358;
S1 = 1.9265;
R2 = 1.9404;
S2 = 1.9221;
R3 = 1.9433;
S3 = 1.9177;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=116.35;
R1 = 116.90;
S1 = 116.21;
R2 = 117.50;
S2 = 115.98;
R3 = 117.83;
S3 = 115.16;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2189;
R1 = 1.2249;
S1 = 1.2160;
R2 = 1.2262;
S2 = 1.2112;
R3 = 1.2288;
S3 = 1.2084;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7771;
R1 = 0.7787;
S1 = 0.7753;
R2 = 0.7806;
S2 = 0.7742;
R3 = 0.7820;
S3 = 0.7711;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 9', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3146;
R1 = 1.3187;
S1 = 1.3132;
R2 = 1.3213;
S2 = 1.3102;
R3 = 1.3245;
S3 = 1.3081;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6812;
R1 = 0.6829;
S1 = 0.6802;
R2 = 0.6839;
S2 = 0.6794;
R3 = 0.6850;
S3 = 0.6782;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=154.24;
R1 = 154.55;
S1 = 153.85;
R2 = 155.27;
S2 = 153.20;
R3 = 155.73;
S3 = 152.25;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6137;
R1 = 1.6155;
S1 = 1.6112;
R2 = 1.6193;
S2 = 1.6095;
R3 = 1.6216;
S3 = 1.6086;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9306;
R1 = 1.9358;
S1 = 1.9265;
R2 = 1.9404;
S2 = 1.9221;
R3 = 1.9433;
S3 = 1.9177;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=117.34;
R1 = 116.90;
S1 = 116.76;
R2 = 117.50;
S2 = 116.21;
R3 = 117.83;
S3 = 115.98;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2275;
R1 = 1.2296;
S1 = 1.2249;
R2 = 1.2316;
S2 = 1.2198;
R3 = 1.2333;
S3 = 1.2160;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7789;
R1 = 0.7806;
S1 = 0.7773;
R2 = 0.7820;
S2 = 0.7753;
R3 = 0.7841;
S3 = 0.7742;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 12', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3123;
R1 = 1.3143;
S1 = 1.3102;
R2 = 1.3187;
S2 = 1.3070;
R3 = 1.3213;
S3 = 1.3050;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6781;
R1 = 0.6787;
S1 = 0.6768;
R2 = 0.6798;
S2 = 0.6737;
R3 = 0.6812;
S3 = 0.6717;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=155.24;
R1 = 155.71;
S1 = 154.78;
R2 = 156.18;
S2 = 154.33;
R3 = 156.97;
S3 = 153.85;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6186;
R1 = 1.6200;
S1 = 1.6155;
R2 = 1.6230;
S2 = 1.6138;
R3 = 1.6245;
S3 = 1.6095;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9351;
R1 = 1.9400;
S1 = 1.9317;
R2 = 1.9428;
S2 = 1.9265;
R3 = 1.9450;
S3 = 1.9221;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=118.32;
R1 = 118.91;
S1 = 117.97;
R2 = 119.61;
S2 = 117.50;
R3 = 119.95;
S3 = 116.90;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2336;
R1 = 1.2369;
S1 = 1.2316;
R2 = 1.2397;
S2 = 1.2296;
R3 = 1.2441;
S3 = 1.2249;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7819;
R1 = 0.7850;
S1 = 0.7806;
R2 = 0.7868;
S2 = 0.7798;
R3 = 0.7871;
S3 = 0.7773;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 13', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3180;
R1 = 1.3205;
S1 = 1.3143;
R2 = 1.3217;
S2 = 1.3105;
R3 = 1.3246;
S3 = 1.3070;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6829;
R1 = 0.6848;
S1 = 0.6812;
R2 = 0.6860;
S2 = 0.6798;
R3 = 0.6870;
S3 = 0.6787;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=154.78;
R1 = 155.25;
S1 = 154.32;
R2 = 155.73;
S2 = 153.60;
R3 = 156.18;
S3 = 153.25;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6144;
R1 = 1.6171;
S1 = 1.6114;
R2 = 1.6200;
S2 = 1.6095;
R3 = 1.6230;
S3 = 1.6082;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9301;
R1 = 1.9335;
S1 = 1.9265;
R2 = 1.9363;
S2 = 1.9221;
R3 = 1.9404;
S3 = 1.9181;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=117.47;
R1 = 117.82;
S1 = 117.19;
R2 = 117.97;
S2 = 116.90;
R3 = 118.50;
S3 = 116.78;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2251;
R1 = 1.2300;
S1 = 1.2231;
R2 = 1.2335;
S2 = 1.2190;
R3 = 1.2369;
S3 = 1.2156;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7850;
R1 = 0.7881;
S1 = 0.7822;
R2 = 0.7899;
S2 = 0.7806;
R3 = 0.7907;
S3 = 0.7798;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 14', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3196;
R1 = 1.3213;
S1 = 1.3160;
R2 = 1.3242;
S2 = 1.3105;
R3 = 1.3260;
S3 = 1.3070;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6854;
R1 = 0.6867;
S1 = 0.6848;
R2 = 0.6887;
S2 = 0.6830;
R3 = 0.6898;
S3 = 0.6812;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=153.13;
R1 = 153.58;
S1 = 152.67;
R2 = 153.85;
S2 = 152.25;
R3 = 154.22;
S3 = 151.80;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6054;
R1 = 1.6068;
S1 = 1.6024;
R2 = 1.6095;
S2 = 1.5980;
R3 = 1.6114;
S3 = 1.5932;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9261;
R1 = 1.9253;
S1 = 1.9221;
R2 = 1.9283;
S2 = 1.9183;
R3 = 1.9318;
S3 = 1.9137;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=116.08;
R1 = 116.40;
S1 = 115.55;
R2 = 116.90;
S2 = 115.16;
R3 = 117.09;
S3 = 114.98;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=1.2165;
R1 = 1.2184;
S1 = 1.2141;
R2 = 1.2235;
S2 = 1.2109;
R3 = 1.2257;
S3 = 1.2080;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7815;
R1 = 0.7828;
S1 = 0.7798;
R2 = 0.7839;
S2 = 0.7789;
R3 = 0.7850;
S3 = 0.7773;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 15', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3220;
R1 = 1.3242;
S1 = 1.3187;
R2 = 1.3260;
S2 = 1.3160;
R3 = 1.3297;
S3 = 1.3105;
if (AxelComment==1) {
}
}
if (v == "EURGBP")
{
P=0.6834;
R1 = 0.6867;
S1 = 0.6820;
R2 = 0.6887;
S2 = 0.6812;
R3 = 0.6898;
S3 = 0.6798;
if (AxelComment==1) {
}
}
if (v == "EURJPY")
{
P=155.12;
R1 = 155.73;
S1 = 154.72;
R2 = 156.24;
S2 = 154.22;
R3 = 156.59;
S3 = 153.85;
if (AxelComment==1) {
}
}
if (v == "EURCHF")
{
P=1.6098;
R1 = 1.6109;
S1 = 1.6088;
R2 = 1.6132;
S2 = 1.6024;
R3 = 1.6155;
S3 = 1.5980;
if (AxelComment==1) {
}
}
if (v == "GBPUSD")
{
P=1.9348;
R1 = 1.9390;
S1 = 1.9324;
R2 = 1.9433;
S2 = 1.9275;
R3 = 1.9463;
S3 = 1.9221;
if (AxelComment==1) {
}
}
if (v == "USDJPY")
{
P=1.2178;
R1 = 1.2187;
S1 = 1.2160;
R2 = 1.2235;
S2 = 1.2109;
R3 = 1.2257;
S3 = 1.2080;
if (AxelComment==1) {
}
}
if (v == "USDCHF")
{
P=117.33;
R1 = 117.58;
S1 = 117.03;
R2 = 117.83;
S2 = 116.90;
R3 = 118.50;
S3 = 116.40;
if (AxelComment==1) {
}
}
if (v == "AUDUSD")
{
P=0.7860;
R1 = 0.7872;
S1 = 0.7850;
R2 = 0.7884;
S2 = 0.7839;
R3 = 0.7898;
S3 = 0.7828;
if (AxelComment==1) {
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
if (TimeToStr(Time[i], TIME_DATE) == TimeToStr(D' 2007. 3. 16', TIME_DATE))
{
v=Symbol();
if (v == "EURUSD")
{
P=1.3284;
R1 = 1.3320;
S1 = 1.3297;
R2 = 1.3346;
S2 = 1.3264;
R3 = 1.3371;
S3 = 1.3242;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "EURGBP")
{
P=0.6852;
R1 = 0.6872;
S1 = 0.6838;
R2 = 0.6887;
S2 = 0.6829;
R3 = 0.6898;
S3 = 0.6812;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "EURJPY")
{
P=155.53;
R1 = 155.89;
S1 = 154.98;
R2 = 156.18;
S2 = 154.69;
R3 = 156.59;
S3 = 154.22;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "EURCHF")
{
P=1.6095;
R1 = 1.6128;
S1 = 1.6067;
R2 = 1.6150;
S2 = 1.6024;
R3 = 1.6171;
S3 = 1.5980;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "GBPUSD")
{
P=1.9398;
R1 = 1.9438;
S1 = 1.9378;
R2 = 1.9484;
S2 = 1.9355;
R3 = 1.9515;
S3 = 1.9324;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "USDJPY")
{
P=117.07;
R1 = 117.28;
S1 = 116.73;
R2 = 117.58;
S2 = 116.40;
R3 = 117.83;
S3 = 116.18;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "USDCHF")
{
P=1.2117;
R1 = 1.2131;
S1 = 1.2074;
R2 = 1.2180;
S2 = 1.2023;
R3 = 1.2220;
S3 = 1.2000;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
if (v == "AUDUSD")
{
P=0.7914;
R1 = 0.7938;
S1 = 0.7898;
R2 = 0.7952;
S2 = 0.7874;
R3 = 0.7968;
S3 = 0.7850;
if (AxelComment==1) {
Comment("16.03.2007 ","\n",
"","\n",
"");
}
}
ObjectMove("Pivot", 0, Time[i],P);
ObjectMove("Sup1", 0, Time[i],S1);
ObjectMove("Res1", 0, Time[i],R1);
ObjectMove("Sup2", 0, Time[i],S2);
ObjectMove("Res2", 0, Time[i],R2);
ObjectMove("Sup3", 0, Time[i],S3);
ObjectMove("Res3", 0, Time[i],R3);
PBuffer[i]=P;
S1Buffer[i]=S1;
R1Buffer[i]=R1;
S2Buffer[i]=S2;
R2Buffer[i]=R2;
S3Buffer[i]=S3;
R3Buffer[i]=R3;
}
}

   return(0);
  }
//+------------------------------------------------------------------+
